Without C we only have Obol, Pasal and BASI.
Home News JDeodorant supports JLS 4 and Eclipse Juno
JDeodorant supports JLS 4 and Eclipse Juno PDF Print E-mail

JDeodorant supports the Java Language Specification 4 (Java 7) and Eclipse Juno. One of the major changes in the syntax of Java 7 is the try-with-resources statement.

The new try-with-resources statement affects the construction of the Control Flow and Program Dependence graphs (used for slicing purposes), since it can declare resources (objects that must be closed after the program is finished with them). The declared resources affect the data flow dependencies of the program, as it can be observed from the screenshot below.

The new version of JDeodorant (5.0) will be distributed through Update Site http://java.uom.gr/~jdeodorant/update/ and is compatible with Eclipse 3.7.x, 3.8.x and 4.2.x.

The old version of JDeodorant (4.0.x), supporting JLS 3, will be distributed through Update Site http://java.uom.gr/~jdeodorant/update/4.0/ and is compatible with Eclipse 3.5.x and 3.6.x.

 
RocketTheme Joomla Templates